package com.gree.mall.miniapp.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class PayDetail {
    @ApiModelProperty(value = "paySign")
    private String paySign;
    @ApiModelProperty(value = "微信返回的预支付id")
    private String payPackage;
    @ApiModelProperty(value = "paySign")
    private String nonceStr;
    @ApiModelProperty(value = "当前的时间")
    private String timeStamp;
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("是否需要微信支付 true/false")
    private Boolean isPay = true;
    @ApiModelProperty("扫码支付的url")
    private String codeUrl;

    @ApiModelProperty("云闪付下单返回结果")
    private UmsMiniRepBean umsMiniRep;
}
