package com.gree.mall.miniapp.bean.user;

import com.gree.mall.miniapp.plus.entity.AdminWebsit;
import com.gree.mall.miniapp.plus.entity.User;
import com.gree.mall.miniapp.plus.entity.User;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class UserWxBean extends User {

    @ApiModelProperty("token")
    private String token;
    @ApiModelProperty("购物车商品数量")
    private Integer shoppingCartNums = 0;
    @ApiModelProperty(value = "企业微信联系我二维码")
    private String workQrcode2;
    @ApiModelProperty(value = "业务员信息")
    private ServiceWorkerBean serviceWorkerBean;
    @ApiModelProperty("网点编号")
    private String websitNumber;


    @ApiModelProperty("门店信息")
    private AdminWebsit adminWebsit;


    @ApiModelProperty("距离")
    private Double distance;
}
