package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.miniapp.bean.user.ServiceWorkerBean;
import com.gree.mall.miniapp.plus.entity.AdminWebsit;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UserInfoMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    ServiceWorkerBean queryWebsit(@Param("userId") String userId);
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    ServiceWorkerBean queryWebsitByWorkId(@Param("workUserId") String workUserId);

    AdminWebsit userWebsit(@Param("userId")String userId,@Param("lng") String lng, @Param("lat")String lat);
}
