package com.gree.mall.miniapp.enums;

import cn.hutool.core.util.EnumUtil;
import lombok.Getter;

import java.util.Map;

@Getter
public enum UMSGZDiscountCodeEnum {
    GDYJKT("GZKTYJ", "一级能效空调", "GDYJKT"),
    GDEJKT("GZKTEJ", "二级能效空调", "GDEJKT"),
    GDYJDS("GZDSYJ", "一级能效电视", "GDYJDS"),
    GDEJDS("GZDSEJ", "二级能效电视", "GDEJDS"),
    GDYJBX("GZBXYJ", "一级能效冰箱", "GDYJBX"),
    GDEJBX("GZBXEJ", "二级能效冰箱", "GDEJBX"),
    GDYJXYJ("GZXYJYJ", "一级能效洗衣机", "GDYJXYJ"),
    GDEJXYJ("GZXYJEJ", "二级能效洗衣机", "GDEJXYJ"),
    GDYJXYYJ("GZYYJYJ", "一级能效吸油烟机", "GDYJXYYJ"),
    GDEJXYYJ("GZYYJEJ", "二级能效吸油烟机", "GDEJXYYJ"),
    GDYJDZ("GZRQZYJ", "一级能效家用灶具", "GDYJDZ"),
    GDEJDZ("GZRQZEJ", "二级能效家用灶具", "GDEJDZ"),
    GDYJRSQ("GZRSQYJ", "一级能效热水器", "GDYJRSQ"),
    GDEJRSQ("GZRSQEJ", "二级能效热水器", "GDEJRSQ"),
    GDYJCSJ("GZCSJYJ", "一级能效除湿机", "GDYJCSJ"),
    GDEJCSJ("GZCSJEJ", "二级能效除湿机", "GDEJCSJ"),
    GDYJJSQ("GZJSQYJ", "一级能效净水器", "GDYJJSQ"),
    GDEJJSQ("GZJSQEJ", "二级能效净水器", "GDEJJSQ"),
            ;

    UMSGZDiscountCodeEnum(String cover, String name, String code) {
        this.cover = cover;
        this.name = name;
        this.code = code;
    }

    private String cover;
    private String name;
    private String code;

    public static String findNameByCode(String code) {
        final Map<String, Object> fieldMap = EnumUtil.getNameFieldMap(UMSGZDiscountCodeEnum.class, "name");
        return fieldMap.containsKey(code) ? fieldMap.get(code).toString() : "";
    }


    public static String findCoverByCode(String code) {
        final Map<String, Object> fieldMap = EnumUtil.getNameFieldMap(UMSGZDiscountCodeEnum.class, "cover");
        return fieldMap.containsKey(code) ? fieldMap.get(code).toString() : "";
    }
}
