package com.gree.mall.miniapp.schedule;

import com.gree.mall.miniapp.logic.notice.NoticeLogic;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import java.text.ParseException;

@Service
public class NoticeSchedule {

    @Autowired
    NoticeLogic noticeLogic;

    /**
     * v2通用通知1
     * @throws ParseException
     */
    //@Scheduled(fixedDelay = 30 * 1000)
    //8点到20点，每30秒执行1次
    @Scheduled(cron = "0/30 * 8-20 * * ?")
    public void task1V2(){
        noticeLogic.v2Push3();
    }


}
