package com.gree.mall.miniapp.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class UmsMiniRepBean {
    private String errCode;
    private String errMsg;
    @ApiModelProperty(value = "消息ID")
    private String msgId;
    @ApiModelProperty(value = "请求系统预留字段")
    private String srcReserve;
    @ApiModelProperty(value = "报文响应时间")
    private String responseTimestamp;
    @ApiModelProperty(value = "商户名称")
    private String merName;
    @ApiModelProperty(value = "商户订单号")
    private String merOrderId;
    @ApiModelProperty(value = "商户号")
    private String mid;
    @ApiModelProperty(value = "终端号")
    private String tid;
    @ApiModelProperty(value = "平台流水号")
    private String seqId;
    @ApiModelProperty(value = "清分ID")
    private String settleRefId;
    @ApiModelProperty(value = "交易状态")
    private String status;
    @ApiModelProperty(value = "支付总金额")
    private BigDecimal totalAmount;
    @ApiModelProperty(value = "第三方订单号")
    private String targetOrderId;
    @ApiModelProperty(value = "目标平台代码")
    private String targetSys;
    @ApiModelProperty(value = "目标平台的状态")
    private String targetStatus;
    @ApiModelProperty(value = "小程序支付用的请求报文，带有签名信息")
    private Object miniPayRequest;
    @ApiModelProperty(value = "支付渠道商户号")
    private String targetMid;
    @ApiModelProperty(value = "营销联盟优惠金额")
    private BigDecimal yxlmAmount;
}
