package com.gree.mall.miniapp.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel
public class UmsPayCallBean {
    @ApiModelProperty(value = "商户号")
    private String mid;
    @ApiModelProperty(value = "终端号")
    private String tid;
    @ApiModelProperty(value = "业务类型 ")
    private String instMid;
    @ApiModelProperty(value = "附加数据")
    private String attachedData;
    @ApiModelProperty(value = "支付银行信息")
    private String bankCardNo;
    @ApiModelProperty(value = "资金渠道")
    private String billFunds;
    @ApiModelProperty(value = "资金渠道说明")
    private String billFundsDesc;
    @ApiModelProperty(value = "买家ID")
    private String buyerId;
    @ApiModelProperty(value = "买家用户名")
    private String buyerUsername;
    @ApiModelProperty(value = "实付金额")
    private String buyerPayAmount;
    @ApiModelProperty(value = "订单金额，单位分")
    private String totalAmount;
    @ApiModelProperty(value = "开票金额")
    private String invoiceAmount;
    @ApiModelProperty(value = "商户订单号")
    private String merOrderId;
    @ApiModelProperty(value = "支付时间")
    private String payTime;
    @ApiModelProperty(value = "实收金额")
    private String receiptAmount;
    @ApiModelProperty(value = "渠道订单号")
    private String targetOrderId;
    @ApiModelProperty(value = "商户出资优惠金额")
    private String couponMerchantContribute;
    @ApiModelProperty(value = "其他出资优惠金额")
    private String couponOtherContribute;
    @ApiModelProperty(value = "订单详情")
    private String orderDesc;
    @ApiModelProperty(value = "商品交易单号")
    private String goodsTradeNo;
    @ApiModelProperty(value = "渠道优惠金额 单位：分  ")
    private String couponAmount;
    @ApiModelProperty(value = "银行信息")
    private String bankInfo;
}
