package com.gree.mall.miniapp.enums;

import cn.hutool.core.util.EnumUtil;
import lombok.Getter;

import java.util.Map;

@Getter
public enum UMSNotGZDiscountCodeEnum {
    GDYJKT("FGBKTYJ", "一级能效空调", "GDYJKT"),
    GDEJKT("FGBKTEJ", "二级能效空调", "GDEJKT"),
    GDYJDS("FGBDSYJ", "一级能效电视", "GDYJDS"),
    GDEJDS("FGBDSEJ", "二级能效电视", "GDEJDS"),
    GDYJBX("FGBBXYJ", "一级能效冰箱", "GDYJBX"),
    GDEJBX("FGBBXEJ", "二级能效冰箱", "GDEJBX"),
    GDYJXYJ("FGBXYJYJ", "一级能效洗衣机", "GDYJXYJ"),
    GDEJXYJ("FGBXYJEJ", "二级能效洗衣机", "GDEJXYJ"),
    GDYJXYYJ("FGBYYJYJ", "一级能效吸油烟机", "GDYJXYYJ"),
    GDEJXYYJ("FGBYYJEJ", "二级能效吸油烟机", "GDEJXYYJ"),
    GDYJDZ("FGBRQZYJ", "一级能效家用灶具", "GDYJDZ"),
    GDEJDZ("FGBRQZEJ", "二级能效家用灶具", "GDEJDZ"),
    GDYJRSQ("FGBRSQYJ", "一级能效热水器", "GDYJRSQ"),
    GDEJRSQ("FGBRSQEJ", "二级能效热水器", "GDEJRSQ"),
            ;

    UMSNotGZDiscountCodeEnum(String cover, String name, String code) {
        this.cover = cover;
        this.name = name;
        this.code = code;
    }

    private String cover;
    private String name;
    private String code;

    public static String findNameByCode(String code) {
        final Map<String, Object> fieldMap = EnumUtil.getNameFieldMap(UMSNotGZDiscountCodeEnum.class, "name");
        return fieldMap.containsKey(code) ? fieldMap.get(code).toString() : "";
    }


    public static String findCoverByCode(String code) {
        final Map<String, Object> fieldMap = EnumUtil.getNameFieldMap(UMSNotGZDiscountCodeEnum.class, "cover");
        return fieldMap.containsKey(code) ? fieldMap.get(code).toString() : "";
    }
}
