package com.gree.mall.miniapp.schedule;

import com.gree.mall.miniapp.logic.notice.NoticeLogic;
import me.chanjar.weixin.common.error.WxErrorException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class SyncOpenIdSchedule {

    @Autowired
    private NoticeLogic noticeLogic;


    @Scheduled(fixedDelay = 60*1000)
    public void task() throws  WxErrorException {
        noticeLogic.syncOpenId();
    }

}
